#define MAX_BP		20

#define BP_UNDEF	0
#define BP_ENABLE	1
#define BP_DISABLE	2

struct breakpoint {
    unsigned addr;
    unsigned char save;
    unsigned char status;
};

extern struct breakpoint bp[MAX_BP];

void insert_breakpoints(int pid);
void remove_breakpoints(int pid);
int set_bp(int addr);
int delete_bp(int no);
int disable_bp(int no);
int enable_bp(int no);
